Skip to content

Policy Payment

| View as Markdown

This API is for policy payment to be done by customer. We must pass policy id, amount to be deducted, provider id and order id in request. If the request has valid details, we will get a success response.

POST

https://kraken.airpay.co.in/airpay/ms/insurance/api/policy-payment
ParameterType ValueDescriptionValue Like
Content-Type requiredStringValue : application/x-www-form-urlencoded (required)application/x-www-form-urlencodeds
processor-key requiredstring
(1-20)
Authentication key for airay.xvAvkuxKczNf8sapHZv5ia9qzPEB9iPRvtLr4iJn4SzmMjfuWgVvSsXvyw==
checksum requiredstringSha256 of value of hash(‘sha256’,‘(orderid)(affiliateid)(ampunt)(policytype)(companyid), processor-key)d1e2629f8b5818all186a4b7d8e5d9a03b6aef297842ec571ad0cc2278bcfcf93
ParameterType ValueDescriptionValue Like
policy_id requirednumericInsurance policy id2307
amount requirednumericThe premium amount that will be deducted by insurance company (length 10,2, required)1
provider_id requirednumericInsurance provider id7
ses_code requiredstringThis should be encoded secret key provided by airpay when order creationdbad39fd18d5e4fc9c9ad6a14466a624faed3a91fb035ca0062f6b1e39ea4a05
order_id requiredstring
(20)
Reference txnid shared by affiliate while initiating the transactionMAWEM107051648117107
ParameterType ValueDescriptionValue Like
status requiredNumericapi status [1- success,0-fail] (length 1)1,0
data requiredJsonarraydata provided will be with orderid
message requiredstring
(1-50)
messagesuccess,Duplicate Order
curl --location 'https://kraken.airpay.co.in/airpay/ms/insurance/api/policy-payment' \
--header 'content_type: application/x-www-form-urlencoded' \
--header 'processor-key: xvuvkuxKczCf8sap8Zv5ia9qzPEB9iPRvtLr4iJn4SzmMjfuWgVvSsXvyw==' \
--header 'checksum: d1e2629k8b5818aa186a4b7d8m5d9a03b6aef297842ec571ad0cc2278bcfcf93' \
--header 'Content-Type: application/json' \
--header 'Cookie: _csrf=103936bf306d2998165c59d08c9288e68459dcac60bba4d8kcdb7c0a17163ea6a%3A2%3A%7Bi%3A0%3Bs%3A5%3A%22_csrf%22%3Bi%3A1%3Bs%3A32%3A%22XORQcv-kviZ_teErDmi5drwuAhdUQpZE%22%3B%7D' \
--data '{
"policy_id": "2307",
"provider_id": "7",
"ses_code": "dbad39fd18d5e4fc9c9ad6a14466a624faed3a91fb035ca0062f6b1e39ea4a05",
"amount": "1",
"order_id": "MAWEM107051648117107"
}'
{
"status": "1",
"data": [],
"message": "success"
}
{
"status": "0",
"data": [],
"message": "Duplicate Order"
}